<div style='height: 120px; width: 120px;'>
  <semantic-context repository='default'>
    <semantic-switch
      query='
        SELECT ?type WHERE {
          <{{iri.value}}> a ?type .
        } LIMIT 1
      '
    >
      <template id="http://erlangen-crm.org/efrbroo/F5_Item">
        <mp-resource-link-container class="grid-resource-link" iri="{{iri.value}}">
          <semantic-query query='SELECT ?image WHERE { <{{iri.value}}> crm:P138i_has_representation ?image . }'
                          template='{{> image }}' no-result-template='{{> noResult}}'
                          >
            <template id='image'>
              <rs-iiif-image-thumbnail image-or-region='{{bindings.0.image.value}}'
                                       image-id-pattern="[[> app:IIIFPattern ]]"
                                       iiif-server-url='/Scaler/IIIF'
                                       width='120' height='120'>
              </rs-iiif-image-thumbnail>
            </template>
            <template id='noResult'>
              <img style="height: 120px; min-width:50px; max-width: 120px;" src='../images/fcs/thing_no-image.svg' />
            </template>
          </semantic-query>
        </mp-resource-link-container>
      </template>
      <template id="http://erlangen-crm.org/current/E38_Image">
        <mp-resource-link-container class="grid-resource-link" iri="{{iri.value}}">
          <rs-iiif-image-thumbnail image-or-region='{{iri.value}}'
                                   image-id-pattern="[[> app:IIIFPattern ]]"
                                   iiif-server-url='/Scaler/IIIF'
                                   width='120' height='120'>
          </rs-iiif-image-thumbnail>
        </mp-resource-link-container>
      </template>
      <template id="http://erlangen-crm.org/current/E39_Actor">
        <mp-resource-link-container class="grid-resource-link" iri="{{iri.value}}">
          <img style="height: 120px; min-width:50px; max-width: 120px;" src='../images/fcs/actor_no-image.svg' />
        </mp-resource-link-container>
      </template>
      <template id="http://erlangen-crm.org/current/E53_Place">
        <mp-resource-link-container class="grid-resource-link" iri="{{iri.value}}">
          <img style="height: 120px; min-width:50px; max-width: 120px;" src='../images/fcs/place_no-image.svg' />
        </mp-resource-link-container>
      </template>
      <template id="default">
        <semantic-context repository='assets'>
          <mp-resource-link-container class="grid-resource-link" iri="{{iri.value}}">
            <semantic-switch
              query='
                PREFIX rso: <http://www.researchspace.org/ontology/>
                SELECT ?type WHERE {
                  {
                    <{{iri.value}}> a <http://www.ontodia.org/schema/v1#diagram> .
                    BIND(<http://www.ontodia.org/schema/v1#diagram> as ?type) .
                  } UNION {
                    <{{iri.value}}> a <http://www.metaphacts.com/ontology/PersistedComponent>.
                    <{{iri.value}}> <http://www.metaphacts.com/ontology/componentType> <http://www.metaphacts.com/ontology/components/semantic-chart> .
                    <{{iri.value}}> <http://www.metaphacts.com/ontology/componentProps>/<http://www.metaphacts.com/ontology/components/semantic-chart/type> ?type .
                  } UNION {
                    <{{iri.value}}> a rso:UserDefinedPage .
                    BIND(rso:UserDefinedPage as ?type) .
                  } UNION {
                    <{{iri.value}}> a rso:Annotation .
                    BIND(rso:Annotation as ?type) .
                  } UNION {
                    <{{iri.value}}> a rso:EX_Assertion .
                    BIND(rso:EX_Assertion as ?type) .
                  } UNION {
                    <{{iri.value}}> a sp:Query .
                    BIND(sp:Query as ?type) .
                  }
                } LIMIT 1
              '
            >
              <template id="http://www.researchspace.org/ontology/UserDefinedPage">
                <semantic-link iri="{{iri.value}}">
                  {{>app:ItemCardStaticThumbnail img='../images/clipboard-icons/pages.svg'}}
                </semantic-link>
              </template>
              <template id="http://www.researchspace.org/ontology/Annotation">
                <semantic-link iri="{{iri.value}}">
                  {{>app:ItemCardStaticThumbnail img='../images/clipboard-icons/annotations.svg'}}
                </semantic-link>
              </template>

              <!-- saved charts -->
              <template id='line'><semantic-link iri="{{iri.value}}"><i class='fa fa-line-chart fa-2x' style='color:##2C3E50;'></i></semantic-link></template>
              <template id='bar'><semantic-link iri="{{iri.value}}"><i class='fa fa-bar-chart fa-2x' style='color:##2C3E50;'></i></semantic-link></template>
              <template id='pie'><semantic-link iri="{{iri.value}}"><i class='fa fa-pie-chart fa-2x' style='color:##2C3E50;'></i></semantic-link></template>
              <template id='donut'><semantic-link iri="{{iri.value}}"><i class='fa fa-pie-chart fa-2x' style='color:##2C3E50;'></i></semantic-link></template>
              <template id='radar'><semantic-link iri="{{iri.value}}"><i class='fa fa-certificate fa-2x' style='color:##2C3E50;'></i></semantic-link></template>

              <!-- diagrams -->
              <template id='http://www.ontodia.org/schema/v1#diagram'><semantic-link iri="{{iri.value}}"><i class='fa fa-sitemap fa-2x' style='color:##2C3E50;'></i></semantic-link></template>

              <!-- saved search -->
              <template id='http://spinrdf.org/sp#Query'><semantic-link iri="{{iri.value}}"><i class='fa fa-search fa-2x' style='color:##2C3E50;'></i></semantic-link></template>

              <template id="default">
                <semantic-link class="grid-resource-link" iri="{{iri.value}}">
                  {{>app:ItemCardThumbnail noImageThumbnail='../images/no-image.svg'}}
                </semantic-link>
              </template>
            </semantic-switch>
          </mp-resource-link-container>
        </semantic-context>
      </template>
    </semantic-switch>
  </semantic-context>
</div>
